package cn.axzo.msg.center.mq;

/**
 * @author yanglin
 */
public enum ConsumerIsolation {

    TODO_SYNC_CARD_BIZ,
    TODO_SYNC_CARD_FLOW,

    ;

    private static final ThreadLocal<ConsumerIsolation> INSTANCE = new ThreadLocal<>();

    public static void setIsolation(ConsumerIsolation isolation) {
        INSTANCE.set(isolation);
    }

    public static ConsumerIsolation getIsolation() {
        return INSTANCE.get();
    }

    public static void clearIsolation() {
        INSTANCE.remove();
    }

}